Main Page Modules Data Structures File List Data Fields Globals Related Pages

# _value Struct Reference

Encapsulation of a "value". More...

## Public Types
enum | { VALUE_TYPE_INTEGER, VALUE_TYPE_STRING }
## Data Fields
enum _value:: { ... } | type
union {
const char * s
int i
} | data

## Detailed Description

Encapsulation of a "value".

Definition at line 33 of file expression.c.

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  VALUE_TYPE_INTEGER |
  VALUE_TYPE_STRING |
Definition at line 34 of file expression.c.

## Field Documentation

union { ... } _value::data

| Referenced by doAddSubtract, doLogical, doMultiplyDivide, doPrimary, doRelational, parseExpressionBoolean, parseExpressionString, valueMakeInteger, and valueMakeString.

int _value::i

| Definition at line 37 of file expression.c.

const char* _value::s

| Definition at line 36 of file expression.c.

enum { ... } _value::type

| Referenced by parseExpressionBoolean, parseExpressionString, valueMakeInteger, and valueMakeString.

The documentation for this struct was generated from the following file:

- build/expression.c